petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscCommBuildTwoSidedGetType

set algorithm to use when building two-sided communication

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommBuildTwoSidedGetType(MPI_Comm comm,PetscBuildTwoSidedType *twosided)

Logically Collective

### Output Arguments

| comm | - communicator on which to query algorithm
| twosided | - algorithm to use for PetscCommBuildTwoSided()

### See Also

PetscCommBuildTwoSided(), PetscCommBuildTwoSidedSetType()

### Level

developer

### Location

src/sys/utils/mpits.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages